com.independentsoft.exchange

## Class MailboxSearchScope

- java.lang.Object
- - com.independentsoft.exchange.MailboxSearchScope

-     public class MailboxSearchScope
      extends java.lang.Object

  The Class MailboxSearchScope.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailboxSearchScope()` Instantiates a new mailbox search scope.
    `MailboxSearchScope(java.lang.String mailbox)` Instantiates a new mailbox search scope.
    `MailboxSearchScope(java.lang.String mailbox, MailboxSearchLocation searchScope)` Instantiates a new mailbox search scope.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMailbox()` Gets the mailbox.
    `MailboxSearchLocation` | `getSearchScope()` Gets the search scope.
    `void` | `setMailbox(java.lang.String mailbox)` Sets the mailbox.
    `void` | `setSearchScope(MailboxSearchLocation searchScope)` Sets the search scope.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailboxSearchScope

          public MailboxSearchScope()

      Instantiates a new mailbox search scope.

    - #### MailboxSearchScope

          public MailboxSearchScope(java.lang.String mailbox)

      Instantiates a new mailbox search scope.
      Parameters:
        `mailbox` - the mailbox

    - #### MailboxSearchScope

          public MailboxSearchScope(java.lang.String mailbox,
                                    MailboxSearchLocation searchScope)

      Instantiates a new mailbox search scope.
      Parameters:
        `mailbox` - the mailbox
        `searchScope` - the search scope

  - ### Method Detail

    - #### getMailbox

          public java.lang.String getMailbox()

      Gets the mailbox.
      Returns:
        the mailbox

    - #### setMailbox

          public void setMailbox(java.lang.String mailbox)

      Sets the mailbox.
      Parameters:
        `mailbox` - the new mailbox

    - #### getSearchScope

          public MailboxSearchLocation getSearchScope()

      Gets the search scope.
      Returns:
        the search scope

    - #### setSearchScope

          public void setSearchScope(MailboxSearchLocation searchScope)

      Sets the search scope.
      Parameters:
        `searchScope` - the new search scope